//
// fonts.h : include file for standard system include files,
//

#ifndef _FONTS_H_
#define _FONTS_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <pshpack1.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef UINT (APIENTRY *LPCFHOOKPROC)(HWND, UINT, WPARAM, LPARAM);

typedef struct _CHOOSEFONT {
	DWORD			lStructSize;
	HWND			hwndOwner;
	HDC				hDC;
	LPLOGFONTW		lpLogFont;
	INT				iPointSize;
	DWORD			Flags;
	COLORREF		rgbColors;
	LPARAM			lCustData;
	LPCFHOOKPROC	lpfnHook;
	LPCWSTR			lpTemplateName;
	HINSTANCE		hInstance;
	LPWSTR			lpszStyle;
	WORD			nFontType;
	WORD			__MISSING_ALIGNMENT__;
	INT				nSizeMin;
	INT				nSizeMax;
} CHOOSEFONT, *LPCHOOSEFONT;

BOOL APIENTRY ChooseFont(LPCHOOSEFONT);

#define CF_SCREENFONTS			0x00000001
#define CF_INITTOLOGFONTSTRUCT	0x00000040
#define CF_USESTYLE				0x00000080
#define CF_NOSIMULATIONS		0x00001000
#define CF_LIMITSIZE			0x00002000

int _atoi(TCHAR **p);

#ifdef __cplusplus
}
#endif

#include <poppack.h>

#endif // _FONTS_H_
